Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.api.resources
[Java] Class ResourceException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.gradle.api.GradleException
                      org.gradle.api.resources.ResourceException

    public class ResourceException
    extends GradleException

Generic resource exception that all other resource-related exceptions inherit from.

Constructor Summary
`ResourceException()`
`ResourceException(String message)`
`ResourceException(String message, Throwable cause)`

Method Summary

Methods inherited from class RuntimeException
printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll

Constructor Detail

### ResourceException

    public ResourceException()

### ResourceException

    public ResourceException(String message)

### ResourceException

    public ResourceException(String message, Throwable cause)

Gradle API 1.10